<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />

    <application
        android:name=".app.ICSApp"
        android:allowBackup="true"
        android:icon="@mipmap/ncd"
        android:label="@string/app_name"
        android:requestLegacyExternalStorage="true"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:targetApi="31">
        <activity
            android:name=".view.fragment.setting.Fragment_lcparameter"
            android:exported="false" />
        <activity
            android:name=".view.fragment.setting.systemparameter"
            android:exported="false" />
        <activity
            android:name=".view.from.add_pf_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.wlgl_activity"
            android:exported="false"
            android:windowSoftInputMode="adjustPan|stateHidden" />
        <activity
            android:name=".view.from.yfpf_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.ygczrz_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.ddyjrz_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.yfcl_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.zdqx_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.lsjy_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.dzcjy_activity"
            android:exported="false" />
        <activity
            android:name=".view.from.lcsz_activity"
            android:exported="false" />
        <activity
            android:name=".view.fragment.SystemCapabilitiesFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.HeplerFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.SystemSetFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.HomeFragment"
            android:exported="false" />
        <activity
            android:name=".view.fragment.CloudFragment"
            android:exported="false" />
        <activity
            android:name=".LoginActivity"
            android:exported="true">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".MainActivity"
            android:configChanges="orientation|screenSize|keyboard|keyboardHidden|navigation"
            android:exported="false" />
    </application>

</manifest>